Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GpuProgramParameters::RealConstantEntry Struct Reference

Real parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Methods

| RealConstantEntry ()

## Public Attributes

Real | val [4]
bool | isSet

## Detailed Description

Real parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not.

This allows us to filter out constant entries which have not been set by the renderer and may actually be being used internally by the program.

Definition at line 134 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::RealConstantEntry::RealConstantEntry | ( |  | ) |

| Definition at line 138 of file OgreGpuProgram.h.

## Member Data Documentation

bool Ogre::GpuProgramParameters::RealConstantEntry::isSet

| Definition at line 137 of file OgreGpuProgram.h. Referenced by Ogre::D3D9RenderSystem::bindGpuProgramParameters(), Ogre::GLArbGpuProgram::bindProgramParameters(), Ogre::GLGpuNvparseProgram::bindProgramParameters(), Ogre::GpuProgramParameters::copyConstantsFrom(), Ogre::GpuProgramParameters::setConstant(), and Ogre::GLSLLinkProgram::updateUniforms().

Real Ogre::GpuProgramParameters::RealConstantEntry::val[4]

| Definition at line 136 of file OgreGpuProgram.h. Referenced by Ogre::D3D9RenderSystem::bindGpuProgramParameters(), Ogre::GLArbGpuProgram::bindProgramParameters(), Ogre::GLGpuNvparseProgram::bindProgramParameters(), Ogre::GpuProgramParameters::copyConstantsFrom(), Ogre::GpuProgramParameters::setConstant(), and Ogre::GLSLLinkProgram::updateUniforms().

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:16 2004